<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/dss_data_path.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b6c2a257bfab6380ca9b3cb94b12cb25.html">demo</a></li><li class="navelem"><a class="el" href="dir_ff1a9522123d701e438401a7b965f8fc.html">xwr16xx</a></li><li class="navelem"><a class="el" href="dir_df54529709ff200ec19cba6760bf6afb.html">mmw</a></li><li class="navelem"><a class="el" href="dir_a86eb6cfb1d075fb3b42cf7014c31303.html">dss</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">dss_data_path.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the data path processing header.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/sysbios/knl/Semaphore.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/demo/io_interface/mmw_config.h&gt;</code><br />
<code>#include &lt;ti/drivers/adcbuf/ADCBuf.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &lt;ti/demo/io_interface/detected_obj.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcycle_log__t__.html">cycleLog_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSP cycle profiling structure to accumulate different processing times in chirp and frame processing periods.  <a href="structcycle_log__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__obj_raw.html">MmwDemo_objRaw</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters of CFAR detected object during the first round of CFAR detections.  <a href="struct_mmw_demo__obj_raw.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__1_d___doppler_lines.html">MmwDemo_1D_DopplerLines</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Active Doppler lines, lines (bins) on which the CFAR detector detected objects during the detections in Doppler direction.  <a href="struct_mmw_demo__1_d___doppler_lines.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo__timing_info.html">MmwDemo_timingInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information.  <a href="struct_mmw_demo__timing_info.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s__data_path_context__t__.html">MmwDemo_DSS_dataPathContext_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Context.  <a href="struct_mmw_demo___d_s_s__data_path_context__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html">MmwDemo_DSS_DataPathCQConfig_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path CQ configuration.  <a href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html">MmwDemo_DSS_DataPathObj_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Information.  <a href="struct_mmw_demo___d_s_s___data_path_obj__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a867768957d5b5d9f5513d901e2a753b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a867768957d5b5d9f5513d901e2a753b8">ONE_Q8</a>&#160;&#160;&#160;(1 &lt;&lt; 8)</td></tr>
<tr class="separator:a867768957d5b5d9f5513d901e2a753b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee0cb2de12dc337b3842eb222bd847ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aee0cb2de12dc337b3842eb222bd847ea">MMW_PEAK_GROUPING_DET_MATRIX_BASED</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:aee0cb2de12dc337b3842eb222bd847ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea48d2d9eff6c9f136820b4a835c08b6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aea48d2d9eff6c9f136820b4a835c08b6">MMW_PEAK_GROUPING_CFAR_PEAK_BASED</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:aea48d2d9eff6c9f136820b4a835c08b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a2c1122ef55f010dda4d43cb1496af"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aa1a2c1122ef55f010dda4d43cb1496af">MMW_NOISE_AVG_MODE_CFAR_CA</a>&#160;&#160;&#160;((uint8_t)0U)</td></tr>
<tr class="separator:aa1a2c1122ef55f010dda4d43cb1496af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35437a3d0061e698341dc0619cfd86c6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a35437a3d0061e698341dc0619cfd86c6">MMW_NOISE_AVG_MODE_CFAR_CAGO</a>&#160;&#160;&#160;((uint8_t)1U)</td></tr>
<tr class="separator:a35437a3d0061e698341dc0619cfd86c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aa0b3a2cfa32614ccc138bb25bf853b01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0b3a2cfa32614ccc138bb25bf853b01"></a>
typedef struct <a class="el" href="structcycle_log__t__.html">cycleLog_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aa0b3a2cfa32614ccc138bb25bf853b01">cycleLog_t</a></td></tr>
<tr class="memdesc:aa0b3a2cfa32614ccc138bb25bf853b01"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSP cycle profiling structure to accumulate different processing times in chirp and frame processing periods. <br /></td></tr>
<tr class="separator:aa0b3a2cfa32614ccc138bb25bf853b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c9242275e3001ed3d0c27e825f317b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c9242275e3001ed3d0c27e825f317b5"></a>
typedef struct <a class="el" href="struct_mmw_demo__obj_raw.html">MmwDemo_objRaw</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a9c9242275e3001ed3d0c27e825f317b5">MmwDemo_objRaw_t</a></td></tr>
<tr class="memdesc:a9c9242275e3001ed3d0c27e825f317b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters of CFAR detected object during the first round of CFAR detections. <br /></td></tr>
<tr class="separator:a9c9242275e3001ed3d0c27e825f317b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa804c0d8a34544aa2c8cee6a2cfe07fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa804c0d8a34544aa2c8cee6a2cfe07fa"></a>
typedef struct <a class="el" href="struct_mmw_demo__1_d___doppler_lines.html">MmwDemo_1D_DopplerLines</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aa804c0d8a34544aa2c8cee6a2cfe07fa">MmwDemo_1D_DopplerLines_t</a></td></tr>
<tr class="memdesc:aa804c0d8a34544aa2c8cee6a2cfe07fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Active Doppler lines, lines (bins) on which the CFAR detector detected objects during the detections in Doppler direction. <br /></td></tr>
<tr class="separator:aa804c0d8a34544aa2c8cee6a2cfe07fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca824704b6f68c4c3d39afe136796fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca824704b6f68c4c3d39afe136796fcb"></a>
typedef struct <a class="el" href="struct_mmw_demo__timing_info.html">MmwDemo_timingInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aca824704b6f68c4c3d39afe136796fcb">MmwDemo_timingInfo_t</a></td></tr>
<tr class="memdesc:aca824704b6f68c4c3d39afe136796fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timing information. <br /></td></tr>
<tr class="separator:aca824704b6f68c4c3d39afe136796fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71f1280cd2396c3c184e11ea292f03a"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mmw_demo___d_s_s__data_path_context__t__.html">MmwDemo_DSS_dataPathContext_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a></td></tr>
<tr class="memdesc:ad71f1280cd2396c3c184e11ea292f03a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Context.  <a href="#ad71f1280cd2396c3c184e11ea292f03a">More...</a><br /></td></tr>
<tr class="separator:ad71f1280cd2396c3c184e11ea292f03a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad91426cab49c83734ceeafe8d5a7d575"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html">MmwDemo_DSS_DataPathCQConfig_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ad91426cab49c83734ceeafe8d5a7d575">MmwDemo_DSS_DataPathCQ</a></td></tr>
<tr class="memdesc:ad91426cab49c83734ceeafe8d5a7d575"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path CQ configuration.  <a href="#ad91426cab49c83734ceeafe8d5a7d575">More...</a><br /></td></tr>
<tr class="separator:ad91426cab49c83734ceeafe8d5a7d575"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67eb02897a3062583a0fbcfd9067b13c"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html">MmwDemo_DSS_DataPathObj_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a></td></tr>
<tr class="memdesc:a67eb02897a3062583a0fbcfd9067b13c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Millimeter Wave Demo Data Path Information.  <a href="#a67eb02897a3062583a0fbcfd9067b13c">More...</a><br /></td></tr>
<tr class="separator:a67eb02897a3062583a0fbcfd9067b13c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac7dcc96aa6f4fb003508e1a11b2ee88a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ac7dcc96aa6f4fb003508e1a11b2ee88a">MmwDemo_dataPathObjInit</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj, <a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *context, MmwDemo_CliCfg_t *cliCfg, MmwDemo_CliCommonCfg_t *cliCommonCfg, MmwDemo_Cfg *cfg)</td></tr>
<tr class="separator:ac7dcc96aa6f4fb003508e1a11b2ee88a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada9937e36aafaa53ae447e3dadd5a734"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ada9937e36aafaa53ae447e3dadd5a734">MmwDemo_dataPathInit1Dstate</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ada9937e36aafaa53ae447e3dadd5a734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999a32d4edd1d7997c8a1702141561be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a999a32d4edd1d7997c8a1702141561be">MmwDemo_dataPathDeleteSemaphore</a> (<a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *context)</td></tr>
<tr class="separator:a999a32d4edd1d7997c8a1702141561be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aae693edbaf62c314a5b6ca1d7e726c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a9aae693edbaf62c314a5b6ca1d7e726c">MmwDemo_dataPathInitEdma</a> (<a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *context)</td></tr>
<tr class="separator:a9aae693edbaf62c314a5b6ca1d7e726c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97d08177b0b88ed1d5affbe67edd3734"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a97d08177b0b88ed1d5affbe67edd3734">MmwDemo_dataPathConfigEdma</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a97d08177b0b88ed1d5affbe67edd3734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd469e54ecf9a39f133b0828b75f59d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a9cd469e54ecf9a39f133b0828b75f59d">MmwDemo_dataPathConfigCQEdma</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a9cd469e54ecf9a39f133b0828b75f59d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46add3bbd4290ec0f4d11b5748dc756a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a46add3bbd4290ec0f4d11b5748dc756a">MmwDemo_dataPathConfigBuffers</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj, uint32_t adcBufAddress)</td></tr>
<tr class="separator:a46add3bbd4290ec0f4d11b5748dc756a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a216f6d9b7c2007f66ec5c1864bebe7c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a216f6d9b7c2007f66ec5c1864bebe7c5">MmwDemo_dataPathComputeDerivedConfig</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a216f6d9b7c2007f66ec5c1864bebe7c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab97f791dded56503d235a5deaf235dc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ab97f791dded56503d235a5deaf235dc2">MmwDemo_dataPathConfigFFTs</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:ab97f791dded56503d235a5deaf235dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82adc00f0d6beb9696e9a8627c645a13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a82adc00f0d6beb9696e9a8627c645a13">MmwDemo_waitEndOfChirps</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a82adc00f0d6beb9696e9a8627c645a13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f617ef04fda5fb8162e390197dfe47"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#ac3f617ef04fda5fb8162e390197dfe47">MmwDemo_processChirp</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj, uint16_t chirpIndxInMultiChirp)</td></tr>
<tr class="separator:ac3f617ef04fda5fb8162e390197dfe47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a095108fa46402fd4de2ad9e188051e28"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a095108fa46402fd4de2ad9e188051e28">MmwDemo_interFrameProcessing</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:a095108fa46402fd4de2ad9e188051e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#a2d544fba2a4525a7bca8d3ed5edb17a3">MmwDemo_pow2roundup</a> (uint32_t x)</td></tr>
<tr class="separator:a2d544fba2a4525a7bca8d3ed5edb17a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed2e44e1237bfa7c13556498fccbe68d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aed2e44e1237bfa7c13556498fccbe68d">MmwDemo_checkDynamicConfigErrors</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *obj)</td></tr>
<tr class="separator:aed2e44e1237bfa7c13556498fccbe68d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8bd4bdf55f1d8dce7a7ed7eb9d6967f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dss__data__path_8h.html#aa8bd4bdf55f1d8dce7a7ed7eb9d6967f">MmwDemo_dssDataPathStartCQEdma</a> (<a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *ptrDataPathObj)</td></tr>
<tr class="separator:aa8bd4bdf55f1d8dce7a7ed7eb9d6967f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the data path processing header. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="aa1a2c1122ef55f010dda4d43cb1496af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_NOISE_AVG_MODE_CFAR_CA&#160;&#160;&#160;((uint8_t)0U)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>cumulative average of the side (left or right) that is greater </p>

</div>
</div>
<a class="anchor" id="a35437a3d0061e698341dc0619cfd86c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_NOISE_AVG_MODE_CFAR_CAGO&#160;&#160;&#160;((uint8_t)1U)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>cumulative average of the side (left or right) that is smaller </p>

</div>
</div>
<a class="anchor" id="aea48d2d9eff6c9f136820b4a835c08b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_PEAK_GROUPING_CFAR_PEAK_BASED&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>cumulative average of left+right </p>

</div>
</div>
<a class="anchor" id="aee0cb2de12dc337b3842eb222bd847ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMW_PEAK_GROUPING_DET_MATRIX_BASED&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Peak grouping scheme of CFAR detected objects based only on peaks of neighboring cells that are already detected by CFAR </p>

</div>
</div>
<a class="anchor" id="a867768957d5b5d9f5513d901e2a753b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ONE_Q8&#160;&#160;&#160;(1 &lt;&lt; 8)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Peak grouping scheme of CFAR detected objects based on peaks of neighboring cells taken from detection matrix </p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ad71f1280cd2396c3c184e11ea292f03a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mmw_demo___d_s_s__data_path_context__t__.html">MmwDemo_DSS_dataPathContext_t_</a>  <a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Millimeter Wave Demo Data Path Context. </p>
<p>The structure is used to hold common context among data path objects. </p>

</div>
</div>
<a class="anchor" id="ad91426cab49c83734ceeafe8d5a7d575"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html">MmwDemo_DSS_DataPathCQConfig_t</a> <a class="el" href="dss__data__path_8h.html#ad91426cab49c83734ceeafe8d5a7d575">MmwDemo_DSS_DataPathCQ</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Millimeter Wave Demo Data Path CQ configuration. </p>
<p>The structure is used to hold all the relevant information for the data path CQ. </p>

</div>
</div>
<a class="anchor" id="a67eb02897a3062583a0fbcfd9067b13c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_mmw_demo___d_s_s___data_path_obj__t.html">MmwDemo_DSS_DataPathObj_t</a>  <a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Millimeter Wave Demo Data Path Information. </p>
<p>The structure is used to hold all the relevant information for the data path. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="aed2e44e1237bfa7c13556498fccbe68d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_checkDynamicConfigErrors </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Perform error checking for configurations that can change dynamically after start sensor has been issued e.g multi object, peakGrouping etc Ideally these checks should be done when the configuration commands are issued but this blows up code size because for each command there needs to be checking with current state related to other commands. So doing it in run-time (real-time) is cheaper with some expenditure of cycles to do the checks. If there is error exception message will be generated. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a216f6d9b7c2007f66ec5c1864bebe7c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathComputeDerivedConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures azimuth heat map related processing.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a46add3bbd4290ec0f4d11b5748dc756a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathConfigBuffers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>adcBufAddress</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Creates heap in L2 and L3 and allocates data path buffers, The heap is destroyed at the end of the function.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9cd469e54ecf9a39f133b0828b75f59d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_dataPathConfigCQEdma </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures EDMA driver for data path CQ processing. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable.</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 Configures all EDMA channels and param sets used in data path processing </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">-1</td><td>if error, 0 for no error </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a97d08177b0b88ed1d5affbe67edd3734"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_dataPathConfigEdma </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures EDMA driver for all of the data path processing. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable.</td></tr>
  </table>
  </dd>
</dl>
<p><b>Description</b> <br />
 Configures all EDMA channels and param sets used in data path processing </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">-1</td><td>if error, 0 for no error </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab97f791dded56503d235a5deaf235dc2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathConfigFFTs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configures FFTs (twiddle tables etc) involved in 1D, 2D and Azimuth processing.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a999a32d4edd1d7997c8a1702141561be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathDeleteSemaphore </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Delete Semaphores which are created in <a class="el" href="dss__data__path_8h.html#a9aae693edbaf62c314a5b6ca1d7e726c">MmwDemo_dataPathInitEdma()</a>. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ada9937e36aafaa53ae447e3dadd5a734"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathInit1Dstate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes data path state variables for 1D processing. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9aae693edbaf62c314a5b6ca1d7e726c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t MmwDemo_dataPathInitEdma </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes EDMA driver. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac7dcc96aa6f4fb003508e1a11b2ee88a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dataPathObjInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#ad71f1280cd2396c3c184e11ea292f03a">MmwDemo_DSS_dataPathContext_t</a> *&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCfg_t *&#160;</td>
          <td class="paramname"><em>cliCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_CliCommonCfg_t *&#160;</td>
          <td class="paramname"><em>cliCommonCfg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MmwDemo_Cfg *&#160;</td>
          <td class="paramname"><em>cfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes data path object with supplied context and cli Config. The context and cli config point to permanent storage outside of data path object that data path object can refer to anytime during the lifetime of data path object. Data path default values that are not required to come through CLI commands are set in this function. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa8bd4bdf55f1d8dce7a7ed7eb9d6967f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_dssDataPathStartCQEdma </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>ptrDataPathObj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Start CQ EDMA </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">obj</td><td>Pointer to data path object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td><b>Description</b> <br />
 Function to configure CQ. </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDataPathObj</td><td>Pointer to data path object.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>if no error, else error (there will be system prints for these). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a095108fa46402fd4de2ad9e188051e28"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_interFrameProcessing </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Interframe processing. It is called from MmwDemo_dssDataPathProcessEvents after all chirps of the frame have been received and 1D FFT processing on them has been completed.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2d544fba2a4525a7bca8d3ed5edb17a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MmwDemo_pow2roundup </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Power of 2 round up function. </p>

</div>
</div>
<a class="anchor" id="ac3f617ef04fda5fb8162e390197dfe47"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_processChirp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>chirpIndxInMultiChirp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Chirp processing. It is called from MmwDemo_dssDataPathProcessEvents. It is executed per chirp</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a82adc00f0d6beb9696e9a8627c645a13"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MmwDemo_waitEndOfChirps </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="dss__data__path_8h.html#a67eb02897a3062583a0fbcfd9067b13c">MmwDemo_DSS_DataPathObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
Wait for transfer of data corresponding to the last 2 chirps (ping/pong) to the radarCube matrix before starting interframe processing. </p><dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
